from __future__ import division

import System
from System import TimeSpan, Uri, UriKind
from System.Windows.Controls.Primitives import *
from System.Windows.Media import *
from System.Windows.Documents import *
from System.Windows.Shapes import *
from System.Windows.Input import *
from System.Windows.Media.Animation import *
from System.Windows.Media.Imaging import BitmapImage
from System.Windows.Interop import *
from System.Windows import *
from System.Windows.Controls import *

Dispatcher = ContentControl().Dispatcher

def toggle_visibility(element):
    if element.Visibility == Visibility.Visible:
        element.Visibility = Visibility.Collapsed
    else:
        element.Visibility = Visibility.Visible
        
def get_position(element, refPoint=Point(0, 0)):
    gt = element.TransformToVisual(Application.Current.RootVisual)
    return gt.Transform(refPoint)

def center_popup(popup):
    rv = Application.Current.RootVisual
    popup.VerticalOffset = (rv.ActualHeight - popup.Child.ActualHeight)/2
    popup.HorizontalOffset = (rv.ActualWidth - popup.Child.ActualWidth)/2
        